net.dontdrinkandroot.visualization.item.factory.edge

## Class DefaultEdgeFactory<E>

- java.lang.Object
- - net.dontdrinkandroot.visualization.item.factory.edge.DefaultEdgeFactory<E>

All Implemented Interfaces:
  EdgeFactory<E>

    public class DefaultEdgeFactory<E>
    extends Object
    implements EdgeFactory<E>

### Constructor Summary

Constructors
Constructor and Description
`DefaultEdgeFactory()`

### Method Summary

Methods
`VisualItem` `create(E edge, edu.uci.ics.jung.graph.util.EdgeType edgeType, Point2D sourcePoint, Point2D destPoint, Vector startVector, Vector endVector, Path2D path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultEdgeFactory

    public DefaultEdgeFactory()

### Method Detail

#### create

    public VisualItem create(E edge,
                    edu.uci.ics.jung.graph.util.EdgeType edgeType,
                    Point2D sourcePoint,
                    Point2D destPoint,
                    Vector startVector,
                    Vector endVector,
                    Path2D path)

Specified by:
  `create` in interface `EdgeFactory<E>`